{ system ? "aarch64-linux"
, nodeName
, repoFlake
, nodeFlake
, localDomainName ? "internal"
, ...
}: {
  meta.nodeSpecialArgs.${nodeName} = {
    inherit repoFlake nodeName nodeFlake system;
    packages' = repoFlake.packages.${system};
    nodePackages' = nodeFlake.packages.${system};

    inherit localDomainName;
  };

  meta.nodeNixpkgs.${nodeName} =
    import nodeFlake.inputs.nixpkgs.outPath
      {
        inherit system;
      };

  ${nodeName} = {

    deployment.targetHost = "${nodeName}.${localDomainName}";
    deployment.replaceUnknownProfiles = true;
    deployment.allowLocalDeployment = true;

    # nixpkgs.pkgs = nodeFlake.inputs.nixpkgs.legacyPackages.${system};

    imports = [
      (repoFlake + "/nix/os/devices/${nodeName}/configuration.nix")

      nodeFlake.inputs.home-manager.nixosModules.home-manager
    ];

    networking.hostName = nodeName;
  };
}
